Page MenuHomePhabricator

Shutdown scholarships.wikimedia.org and archive project
Open, MediumPublic

Description

Per {T243032} the Wikimedia-Wikimania-Scholarships application is being replaced with a new solution.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 565415 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@master] Remove scholarships role

https://gerrit.wikimedia.org/r/565415

Change 565415 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove scholarships role

https://gerrit.wikimedia.org/r/565415

@soworu It would be useful to check with Legal how we can make any use of the existing data. Knowing who has applied for scholarship in previous Wikimanias and who was accepted / declined may be useful information for scholarship committees in the current Wikimania and future events.

@soworu It would be useful to check with Legal how we can make any use of the existing data. Knowing who has applied for scholarship in previous Wikimanias and who was accepted / declined may be useful information for scholarship committees in the current Wikimania and future events.

That data is not retained in the Scholarships application. We purge the database as soon as the decisions are made each year.

@soworu It would be useful to check with Legal how we can make any use of the existing data. Knowing who has applied for scholarship in previous Wikimanias and who was accepted / declined may be useful information for scholarship committees in the current Wikimania and future events.

That information for the last few years are available on meta:Grants:Wikimania scholars.

Thank you for the clarifications!

At some point in 2020 we'll need to upgrade the machine that runs this service to a newer Debian version for security support. It shares a machine with 2 other services though. For that it would be good to know whether there is an expectation to keep this app in the long run or if we can continue with the decom plans. The former would require some additional work. Is it stalled?

scholarships.wikimedia.org has been switched from the backend miscweb1001 (jessie) to miscweb1002 (buster) today. (T247648)

Change 737874 had a related patch set uploaded (by Abijeet Patro; author: Abijeet Patro):

[translatewiki@master] Remove Wikimania-Scholarships

https://gerrit.wikimedia.org/r/737874

Change 737874 merged by jenkins-bot:

[translatewiki@master] Remove Wikimania-Scholarships

https://gerrit.wikimedia.org/r/737874

Wikimania Scholarships has been removed from translatewiki.

Eh, do you want us to actually delete https://scholarships.wikimedia.org at this point?

Eh, do you want us to actually delete https://scholarships.wikimedia.org at this point?

I think we may as well @Dzahn. The app has not been used since the 2019 scholarship round and currently has no active owner. I think the plans from 2020 to replace it with a fancy CRM system have failed, but that is a problem for the future to deal with.

@bd808 Ok, ACK, I just asked that way because the ticket says to remove it but in a previous comment I was still talking about upgrading and I did not remember why that was still open. Alright then

Change 737977 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] deployment-prep: remove scholarships app section

https://gerrit.wikimedia.org/r/737977

Change 737979 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] trafficserver: remove scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/737979

Change 737982 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] wikimania_scholarships: let the module start removing itself

https://gerrit.wikimedia.org/r/737982

Change 737977 merged by Dzahn:

[operations/puppet@production] deployment-prep: remove scholarships app section

https://gerrit.wikimedia.org/r/737977

Change 738028 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/dns@master] remove scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/738028

Change 737979 merged by Dzahn:

[operations/puppet@production] trafficserver: remove scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/737979

@bd808 access for the public is now effectively removed. we did announce it in the serviceops section of today's SRE meeting as well.

Change 738028 merged by Dzahn:

[operations/dns@master] remove scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/738028

Mentioned in SAL (#wikimedia-operations) [2021-11-16T17:20:02Z] <mutante> removing scholarships.wikimedia.org from DNS - T243037

Change 737982 merged by Dzahn:

[operations/puppet@production] wikimania_scholarships: let the module start to remove itself

https://gerrit.wikimedia.org/r/737982

Change 739347 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] httpbb/miscweb: drop tests for scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/739347

Change 739347 merged by Dzahn:

[operations/puppet@production] httpbb/miscweb: drop tests for scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/739347

Mentioned in SAL (#wikimedia-operations) [2021-11-17T22:42:18Z] <mutante> miscweb1002/2002 - moved /srv/deployment/scholarships to /root/ (T243037)

Change 739658 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] wikimania_scholarships: delete module and profile, remove from miscweb

https://gerrit.wikimedia.org/r/739658

Change 739660 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] cache::text: remove config for scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/739660

Change 739662 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] logstash: remove scholarships type from udp2log filters

https://gerrit.wikimedia.org/r/739662

Change 739667 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] mariadb: remove all grants related to scholarship app and its dumps

https://gerrit.wikimedia.org/r/739667

Should we, at some point, also drop the database?

Change 739667 merged by Marostegui:

[operations/puppet@production] mariadb: remove all grants related to scholarship app and its dumps

https://gerrit.wikimedia.org/r/739667

Should we, at some point, also drop the database?

Nevermind, I just saw that there's indeed a point to delete it :)

I just got pinged on T296166#7519256 on stopping backups of this database (this is a non-issue for me), what I want to raise here is that the order of the pending cleanup tasks may not be ideal- if backups are stopped AND database is deleted, there will be nothing to archive, as all existing backups will be purged in 3 months. Plus generating a public export, if required, may also be more difficult after the db is removed.

This database is tiny (15M) we can take a full mysqldump before dropping it if we want.

Being so small, I can store it for a few years on long-term backups (but it won't be there forever-it won't be a valid archival method-, just for a larger time than regular backups). Waiting for feedback.

Being so small, I can store it for a few years on long-term backups (but it won't be there forever-it won't be a valid archival method-, just for a larger time than regular backups). Waiting for feedback.

@soworu It would be useful to check with Legal how we can make any use of the existing data. Knowing who has applied for scholarship in previous Wikimanias and who was accepted / declined may be useful information for scholarship committees in the current Wikimania and future events.

That data is not retained in the Scholarships application. We purge the database as soon as the decisions are made each year.

It sounds like I never got around to purging the 2019 data if there is anything in the database at all other than some fixture data for building the UI and grouping data in reports. I have no expectation that there would be valuable data to save for any purpose in the database for the scholarships application at this time.

I have no expectation that there would be valuable data to save for any purpose

Thanks, that's useful. Better double checking rather than having unintended data loss. :-)

Change 739660 merged by Dzahn:

[operations/puppet@production] cache::text: remove config for scholarships.wikimedia.org

https://gerrit.wikimedia.org/r/739660

Change 739662 merged by Dzahn:

[operations/puppet@production] logstash: remove scholarships type from udp2log filters

https://gerrit.wikimedia.org/r/739662

Change 739658 merged by Dzahn:

[operations/puppet@production] wikimania_scholarships: delete module and profile, remove from miscweb

https://gerrit.wikimedia.org/r/739658

Mentioned in SAL (#wikimedia-operations) [2021-11-23T17:49:17Z] <mutante> miscweb1002 - rm -rf /srv/deployments/scholarships (T243037)

Dzahn added a subscriber: 20after4.

I do not have the permission to click "Deactivate Repository" on:

https://phabricator.wikimedia.org/source/wikimania-scholarships/manage/

@20after4 could you archive this ^ ?

Change 740907 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] cache/text_haproxy: remove scholarships.wikimedia.org config

https://gerrit.wikimedia.org/r/740907

Change 740907 merged by Dzahn:

[operations/puppet@production] cache/text_haproxy: remove scholarships.wikimedia.org config

https://gerrit.wikimedia.org/r/740907

I do not have the permission to click "Deactivate Repository" on:

https://phabricator.wikimedia.org/source/wikimania-scholarships/manage/

@20after4 could you archive this ^ ?

Right, Members of the project "Diffusion-Repository-Administrators" can take this action. and I'm not.
@mmodell: ^ping?